<?php
/*
  functions.php
  
  this is where we figure out where (and when) we are, set home page, base URL, etc.

  ---------------------- */
 
  // url processing
  $full_url = explode("?",$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI']);
	$query = $full_url[1];
	$url = $full_url[0];
  $url_array = explode("/",rtrim($url, '/'));
  
  //set repo
  if( strpos($url,'websites') ):
    $repo_name = "websites";
  else:
    $repo_name = "templates/spotco_dev";
  endif;
  
	// set $page variable
	if( ($url_array[count($url_array)-1] == $staging_directory_name) || ($url_array[count($url_array)-1] == $production_domain) || false ):
	  $page = 'home';
  else:
    $page = $url_array[count($url_array)-1];
  endif;
  
  // set base URL
  $local_url = "http://localhost:".$_SERVER['SERVER_PORT']."/".$repo_name."/".$staging_directory_name."/";
  $staging_url = "https://qa.spotcointeractive.com/".$repo_name."/".$staging_directory_name."/";
  $production_url = "https://".$production_domain."/";

	if( strpos($_SERVER['SERVER_NAME'],'spotcointeractive') ):
    // staging
		$base = $staging_url;

	elseif( strpos($_SERVER['SERVER_NAME'],'localhost') === 0 ):
    // local dev
		$base = $local_url;

	else:
    // production
		$base = $production_url;

	endif;
  
  // if page does not exist, return 404 error
  if( !file_exists( '_pages/'.$page.'.php' ) ):
    //include $base.'_pages/'.$page.'.php';
    
    http_response_code(404);
    $page = "404";
    //include('my_404.php'); // provide your own HTML for the error page
    //die();
  endif;
	
	// calculate show status based on dates supplied in index.html

  $isPresale = false;
  $isPreviews = false;
	$isRunning = false;
	$isClosed = false;

	$now = date("Y-m-d H:i:s");
	
	if ( $now > $presale_start_date ) { $isPresale = true; }
	
	if ( $now > $previews_start_date ) { $isPreviews = true; }
	
	if ( $now > $first_showtime ) { $isRunning = true; }
	
	if ( $now > $last_show_end ) {
		$isRunning = false;
		$isClosed = true;
	}

?>