/**
 * core.js - all global scripts belong in this file.
 */

// NAMESPACE FOR COMMON FUNCTIONS/OBJECTS
var COMMONUTILS = {
    //

    optinFormValidate: function() {
    	"use strict";

      var formName = "";

      $(".subscribe").each(function(i){

      	//console.log(i);
      	formName = "optin"+i;
      	$(this).attr("id",formName);

          //
          $(this).validate({
            rules : {
              email : { required : true, email : true }/*,
              zip : 'required'*/
            },
            messages : {
              email : 'Enter a valid email'/*,
              zip : 'Enter your zip code'*/
            },
            errorPlacement : function(error, element) {
              element.attr('placeholder', error[0].outerText);
            },
            submitHandler : function(form) {
              $.ajax({
                url : './_inc/optin_action.php',
                type : 'POST',
                data : $(form).serialize() + '&ajax=true',
                success : function() {
                  $(form).parent("div").addClass('success');
                  dataLayer.push({'event': 'signup-successful'});
                }
              });
              return false;
            }
          });

      });
    },

    debounce : function(func) { "use strict"
      var timer;
      return function(event){
        if(timer) clearTimeout(timer);
        timer = setTimeout(func,200,event);
      };
    },

    resizeHandler: function() { "use strict"
      window.addEventListener("resize", COMMONUTILS.debounce(COMMONUTILS.setPlaceholderText));
    },
  
    setPlaceholderText: function() { "use strict"
      if (window.innerWidth < 767) {
        document.querySelector('.optin input.email').placeholder='Enter your email for updates';
      } else {
        document.querySelector('.optin input.email').placeholder='Be the first to know. Enter your email for updates';
      }
      if(!document.querySelector('.optin form').classList.contains('ready')) {
        document.querySelector('.optin form').classList.add('ready');
      }
      console.log(window.innerWidth);
    }
};

// jQuery Namespace
$ (document).ready (function () {"use strict";
  COMMONUTILS.optinFormValidate();
  COMMONUTILS.setPlaceholderText();
  COMMONUTILS.resizeHandler();

    //Popup
    $('.close-popup').click(function(e){
      e.preventDefault();
      $("#popup").fadeOut();
      $("#popup-bg").fadeOut();
    });

    $('#popup-bg').click(function(e){
      e.preventDefault();
      $("#popup").fadeOut();
      $("#popup-bg").fadeOut();
    });

    //$("#popup").show();
    //$("#popup-bg").show();

    $(document).on("mouseover","#btn-tickets",function(e) {
      e.preventDefault();
      setTimeout(function(){
        $('#keyart').addClass('over');
        setTimeout(function(){
          $('#keyart').removeClass('over');
        },300);
      },150);
    });

});

// EOF